petsc-3.4.2 2013-07-02

# PetscObjectViewAMS

View the base portion of any object with an AMS viewer

### Synopsis

    #include "petscsys.h"  */
    PetscErrorCode  PetscObjectViewAMS(PetscObject obj,PetscViewer viewer)

Collective on PetscObject

### Input Parameters

| obj | - the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);
| viewer | - the AMS viewer

### See Also

PetscObjectSetName(), PetscObjectAMSViewOff()

Level:advanced
Location:src/sys/classes/viewer/impls/ams/amsopen.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages